Skip to main content
POST
/
api2
/
v1
/
connectors
/
{connectorId}
/
folders
/
{folder}
Upload a file to a subfolder of the selected connector
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders/{folder} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'sourceFileName=<string>' \
  --form 'subfolderName=<string>' \
  --form 'mimeType=<string>' \
  --form 'commitMessage=<string>'
{
  "id": "<string>",
  "name": "<string>",
  "folder": "<string>",
  "encodedName": "<string>",
  "size": 123,
  "error": "<string>",
  "asyncTaskId": "<string>",
  "errors": {
    "errors": [
      {
        "code": "<string>",
        "message": "<string>",
        "messageCode": "<string>",
        "args": {},
        "skipPrefix": true
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Type
enum<string>
required
Available options:
multipart/form-data

Path Parameters

connectorId
string
required
folder
string
required

Body

multipart/form-data
file
file
required

Translated file to upload

sourceFileName
string

Name or ID of the original file

subfolderName
string

Optional subfolder to upload the file to

mimeType
string

Mime type of the file to upload

commitMessage
string

Commit message for upload to Git, etc.

Response

successful operation

id
string
name
string
folder
string
encodedName
string
size
integer<int64>
error
string
asyncTaskId
string
errors
object